## List Pipelines `client.pipelines.listV1(PipelineListV1Paramsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/pipelines/v1/pipelines` List/Filter Pipelines in Account. ### Parameters - `params: PipelineListV1Params` - `account_id: string` Path param: Specifies the public ID of the account. - `page?: number` Query param - `per_page?: number` Query param ### Returns - `PipelineListV1Response` - `id: string` Indicates a unique identifier for this pipeline. - `created_at: string` - `modified_at: string` - `name: string` Indicates the name of the Pipeline. - `sql: string` Specifies SQL for the Pipeline processing flow. - `status: string` Indicates the current status of the Pipeline. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const pipelineListV1Response of client.pipelines.listV1({ account_id: '0123105f4ecef8ad9ca31a8372d0c353', })) { console.log(pipelineListV1Response.id); } ``` #### Response ```json { "result": [ { "id": "01234567890123457689012345678901", "created_at": "created_at", "modified_at": "modified_at", "name": "my_pipeline", "sql": "insert into sink select * from source;", "status": "status" } ], "result_info": { "count": 1, "page": 0, "per_page": 10, "total_count": 1 }, "success": true } ```